Bug 472028 - ati x1950pro, xorg crashes (oom) when using modesetting
ati x1950pro, xorg crashes (oom) when using modesetting
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks: fedora-x-target
  Show dependency treegraph
 
Reported: 2008-11-18 06:32 EST by Hans de Goede
Modified: 2009-12-18 01:52 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:52:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.log (112.56 KB, text/plain)
2008-11-19 09:35 EST, Hans de Goede
no flags Details
xorg.conf (735 bytes, text/plain)
2008-11-19 09:36 EST, Hans de Goede
no flags Details
the latest dmesg (54.84 KB, text/plain)
2009-09-14 20:52 EDT, Hin-Tak Leung
no flags Details
Xorg.0.log (70.56 KB, text/plain)
2009-09-14 20:53 EDT, Hin-Tak Leung
no flags Details

  None (edit)
Description Hans de Goede 2008-11-18 06:32:43 EST
Hi,

Me again :)

I just had xorg crash me due to an oom error:
Xorg: page allocation failure. order:4, mode:0x40d0
Pid: 2434, comm: Xorg Not tainted 2.6.27.5-113.fc10.x86_64 #1

Call Trace:
 [<ffffffff81094fcb>] __alloc_pages_internal+0x436/0x457
 [<ffffffff810b23ae>] alloc_pages_current+0xb9/0xc2
 [<ffffffff810941c4>] __get_free_pages+0xe/0x4d
 [<ffffffff810ba9b1>] __kmalloc+0x3e/0x10c
 [<ffffffffa005263d>] drm_alloc+0xe/0x10 [radeon]
 [<ffffffffa0052996>] radeon_cs2_ioctl+0x1be/0x364 [radeon]
 [<ffffffffa0011d1d>] drm_ioctl+0x1d6/0x25e [drm]
 [<ffffffffa00527d8>] ? radeon_cs2_ioctl+0x0/0x364 [radeon]
 [<ffffffff810cb79b>] vfs_ioctl+0x5f/0x78
 [<ffffffff810cba01>] do_vfs_ioctl+0x24d/0x26a
 [<ffffffff810cba73>] sys_ioctl+0x55/0x7a
 [<ffffffff8101024a>] system_call_fastpath+0x16/0x1b

Mem-Info:
Node 0 DMA per-cpu:
CPU    0: hi:    0, btch:   1 usd:   0
CPU    1: hi:    0, btch:   1 usd:   0
Node 0 DMA32 per-cpu:
CPU    0: hi:  186, btch:  31 usd:  45
CPU    1: hi:  186, btch:  31 usd:   0
Active:277564 inactive:166577 dirty:7908 writeback:0 unstable:0
 free:14288 slab:23174 mapped:24847 pagetables:5514 bounce:0
Node 0 DMA free:8088kB min:16kB low:20kB high:24kB active:0kB inactive:0kB present:6992kB pages_scanned:0 all_unreclaimable? yes
lowmem_reserve[]: 0 2003 2003 2003
Node 0 DMA32 free:49064kB min:5716kB low:7144kB high:8572kB active:1110256kB inactive:666308kB present:2051180kB pages_scanned:164 all_unreclaimable? no
lowmem_reserve[]: 0 0 0 0
Node 0 DMA: 20*4kB 3*8kB 4*16kB 5*32kB 3*64kB 1*128kB 5*256kB 4*512kB 0*1024kB 0*2048kB 1*4096kB = 8072kB
Node 0 DMA32: 11635*4kB 9*8kB 20*16kB 8*32kB 9*64kB 1*128kB 1*256kB 0*512kB 1*1024kB 0*2048kB 0*4096kB = 49172kB
236013 total pagecache pages
2040 pages in swap cache
Swap cache stats: add 8206, delete 6166, find 3522/4009
Free swap  = 4179000kB
Total swap = 4194296kB
524000 pages RAM
9142 pages reserved
378360 pages shared
204952 pages non-shared

This is with:
kernel-2.6.27.5-113.fc10.x86_64
xorg-x11-drv-ati-6.9.0-46.fc10.x86_64
xorg-x11-server-Xorg-1.5.3-5.fc10.x86_64
Comment 1 Matěj Cepl 2008-11-19 06:27:13 EST
Wov! Could we get our classical trio (Xorg.0.log, xorg.conf if any, and dmesg), please?
Comment 2 Hans de Goede 2008-11-19 09:35:27 EST
Created attachment 324038 [details]
xorg.log
Comment 3 Hans de Goede 2008-11-19 09:36:36 EST
Created attachment 324039 [details]
xorg.conf
Comment 4 Hans de Goede 2008-11-19 09:37:12 EST
Relevant part of dmesg is already reproduced in the original report above.
Comment 5 Dave Airlie 2008-11-19 16:08:51 EST
grab -54 of -ati and let me know if this happens again.

/me goes looking for memory leaks.
Comment 6 Hans de Goede 2008-11-20 02:58:28 EST
(In reply to comment #5)
> grab -54 of -ati and let me know if this happens again.
> 
> /me goes looking for memory leaks.

Ok, note I've only seen this once ever, but I'll report back here if it happens again. If not we can close this one.
Comment 7 Bug Zapper 2008-11-26 00:33:25 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Jóhann B. Guðmundsson 2008-12-01 05:43:54 EST
There have been bunch of bug fixes

Could you retest with the latest kernel 
( -132 at the time of this writing )

You can get the latest kernel build here
http://koji.fedoraproject.org/koji/buildinfo?buildID=72270 

And with the latest xorg-x11-drv-ati. 
( -60 at the time of this writing )

You can get the latest xorg-x11-drv-ati build here
http://koji.fedoraproject.org/koji/packageinfo?packageID=95

And report back if it either improves or fixes this issue..

Thanks.
Comment 9 Hans de Goede 2008-12-01 06:22:34 EST
Johan,

(In reply to comment #8)
> There have been bunch of bug fixes
> 
> Could you retest with the latest kernel 

I appreciate the efforts of the bug triaging team, but I would appreciate it even more if you people would first actually read the entire bug report, which part of:

(comment #6)
> Ok, note I've only seen this once ever, but I'll report back here if it happens
> again. If not we can close this one.

Did you not understand ?
Comment 10 Jóhann B. Guðmundsson 2008-12-01 07:06:30 EST
Haha I've been that end as well... 

Teaches a tester to be doing crappy triaging work.. 

For future reference there is nothing preventing you 
from closing it your self if this is one of those bugs that 
happen just only when the moon is full and all the stars are correctly
lined or do it if the problem has been fixed.... 

Just change the status from assigned to closed with the 
appropriate sub options of closed.

Thank you.
Comment 11 Hans de Goede 2008-12-02 04:16:16 EST
As discussed with the assignee just because this has not happened anymore does not mean this is fixed, so I'm re-opening this.

The issue is that the kernel code tries to kmalloc 64k, which translates to needing 16 (or 8 on x86_64) consecutive physical pages in a row, on a system which has been running for a while and thus has fragmented memory this will not always succeed.

The plan is to add a vmalloc fallback for now to work around this.
Comment 12 Adam Williamson 2009-02-20 17:31:58 EST
As I'm going to see if we can use priority and severity usefully, I'm dropping it on this bug, as it's obviously not something that is practically causing major problems at the moment.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 13 Hin-Tak Leung 2009-09-14 20:49:36 EDT
Still have those oom messages, although xorg does not crash (it just seems to be unresponsive for about a minute and comes back).

kernel-2.6.30.6-53.fc11.x86_64
xorg-x11-drv-ati-6.12.2-18.fc11.x86_64
xorg-x11-server-Xorg-1.6.4-0.1.fc11.x86_64

I seem to be able to get this every couple of weeks, by running seamonkey (not firefox) and do the usual web browsing thing for a few days.

logs to follow.
Comment 14 Hin-Tak Leung 2009-09-14 20:52:14 EDT
Created attachment 361016 [details]
the latest dmesg

the latest dmesg showing one such instance.
Comment 15 Hin-Tak Leung 2009-09-14 20:53:41 EDT
Created attachment 361017 [details]
Xorg.0.log

my Xorg.0.log. I run without an xorg.conf .
Comment 16 Bug Zapper 2009-11-18 03:53:41 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2009-12-18 01:52:44 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.